﻿
using System.Drawing;

namespace Schraffur
{
   public class Hatching
   {
      public Color BackColor;
      public int BackColorAlpha = 10;
      public Color LineColor;
      public int LineColorAlpha = 90;
      public int LineThickness = 1;
      public int LineSpacing = 10;
      public HatchingType Type = HatchingType.Lines;
      public Orientation Orientation = Orientation.Diagonal;

   public Hatching() {
         BackColor = Color.FromArgb(BackColorAlpha * 255 / 100, Color.White);
         LineColor = Color.FromArgb(LineColorAlpha * 255 / 100, Color.Black);
      }

      public Hatching Clone()
      {
         return (Hatching) MemberwiseClone();
      }
   }


}

